<?php
/**
 * 管理员管理
 * $Id: account_edit_input.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER,STAFF")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$action = ParamUtil::getRequestString("action");
$id = ParamUtil::getRequestString("id");

$user_mst = new UserMst();
if($action == "new") {
	$user_mst->id = "0";
	$user_mst->mobile = "";
	$user_mst->nickname = "";
	$user_mst->sex = "UNKNOW";
	$user_mst->status = "1";
	$user_mst->channel_no = "1000";
}

if($action == "edit") {
	$user_mst = UserMst::getById($id);
	if ($user_mst == null) {
		// エラー表示
		$layout_pages = array();
		$layout_pages["footer"] = "footer.inc";
		$layout_pages["top"] = "menu.inc";
		$layout_pages["middle"] = "error.inc";
		require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
		exit;
	}
}

//渠道列表
$channel_list = ChannelMst::getList(null, "id", "desc");

//学员状态
$user_status_list = UserStatus::getList(null, "id", "desc");

// 页面表示
$_SCRIPT_FILE = array("scripts/validators.js", "scripts/user_edit_input.js");
$layout_pages = array();
$layout_pages["top"] = "menu.inc";
$layout_pages["menu_clicked"] = "li_user";
$layout_pages["middle"] = "user_edit_input.inc";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
exit;